@echo off
setlocal

set basePath=%~p0
set usbApp="%basePath%\USBSelector.exe"
set drive=H:

:doInstall
@echo.
@echo *** Install driver for %drive% ***
@echo.
%usbApp% -d%drive% -i

:doTest
@echo.
@echo *** Create a test file on index 0-9 ***
@echo.
for %%i IN (0 1 2 3 4 5 6 7 8 9) DO (
	@rem @echo Select index %%i, write file %drive%\00%%i.txt ...
	%usbApp% -d%drive% -n%%i
	@rem @echo errorlevel=%errorlevel%
	if not %errorlevel% NEQ 0 @echo 00%%i > %drive%\00%%i.txt
	
	rem use the ping command to wait for a little while ...
	ping 127.0.0.1 -n 2 -w 1000 >nul
)

:do UnInstall
@echo.
@echo *** uninstall driver ***
@echo.
%usbApp% -d%drive% -u

:end
endlocal
